#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Speex-1.2.1

- Next

  v4l-utils-1.28.1

- Up
- Home

# Taglib-2.0.2

## Introduction to Taglib

Taglib is a library used for reading, writing and manipulating audio file tags and is used by applications such as VLC.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://taglib.org/releases/taglib-2.0.2.tar.gz

- Download MD5 sum: 95edea13107ac4cc07b7ad4bd1cb5cd1

- Download size: 1.4 MB

- Estimated disk space required: 16 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### Taglib Dependencies

#### Required

CMake-3.31.5 and utfcpp-4.0.6

#### Optional (for tests)

Cppunit

## Installation of Taglib

Install Taglib by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=ON \
          .. &&
    make

The test suite requires Cppunit but it's not a BLFS package.

Now, as the `root` user:

    make install

## Contents

Installed Programs: taglib-config
Installed Libraries: libtag.so and libtag_c.so
Installed Directories: /usr/include/taglib

### Short Descriptions

taglib-config | is a tool used to print information about the taglib installation

- Prev

  Speex-1.2.1

- Next

  v4l-utils-1.28.1

- Up
- Home